QGIS Application - Bug report #6616
Preview in expression builder not always showing
2012-11-03 10:54 PM - Paolo Cavallini

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15803
Description

The preview in the field calculator expression builder is often missing. This happens because the expression text is evaluated against the
first feature in the layer. If the expression doesn't evaluate for the first feature there will be no text.

Thanks Nathan for the explanation.

History

#1 - 2012-11-03 11:03 PM - Nathan Woodrow

Not sure the best way to handle this yet.

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-23 07:28 PM - Paolo Cavallini

- Description updated

Possibly the first 5 results could be shown, or the first valid (not NULL) result.

#4 - 2018-03-01 11:56 AM - Giovanni Manghi
- Affected QGIS version changed from master to 3.0.0
